Skip to main content
GET
/
v1
/
models
/
{model_id}
/
variables
Retrieve all variables for an analysis model
curl --request GET \
  --url https://api.example.com/v1/models/{model_id}/variables \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": 1,
    "client_prompt_template_id": 1,
    "client_prompt_template_category_id": 1,
    "key": "greeting_quality",
    "readable_name": "Greeting Quality",
    "description": "Evaluates greeting professionalism",
    "type": "INTEGER",
    "weight": 10,
    "required": true,
    "order_number": 1,
    "enabled": true,
    "created_at": "2026-01-11T10:00:00Z",
    "created_by": "client_abc123"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

model_id
integer
required

The analysis model ID

Response

Successful Response

id
integer
required

Unique identifier

Example:

1

client_prompt_template_id
integer
required

Parent model ID

Example:

1

key
string
required

Variable key

Example:

"greeting_quality"

type
enum<string>
required

Data type

Available options:
STRING,
INTEGER,
DECIMAL,
BOOLEAN,
DATE,
TIME,
DATETIME
required
boolean
required

Whether this variable is required

enabled
boolean
required

Whether the variable is active

created_at
string<date-time>
required

Creation timestamp

created_by
string
required

Creator identifier

client_prompt_template_category_id
integer

Category ID if assigned

readable_name
string

Human-readable display name

description
string

Variable description

weight
integer

Scoring weight

order_number
integer

Display order

updated_at
string<date-time>

Last update timestamp

updated_by
string

Last updater identifier